#ifndef USBDETECTDIALOG_H
#define USBDETECTDIALOG_H

#include <QWidget>
#include <QTimer>
#include <LoQClass/loqdialog.h>
namespace Ui {
class UsbDetectDialog;
}

class UsbDetectDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit UsbDetectDialog(QWidget *parent = nullptr);
    ~UsbDetectDialog();
signals:
    void sigAcceptData(QString string1,  QString string2);
protected slots:
    void onAccepted();
    void detectDriver();
private:
    Ui::UsbDetectDialog *ui;
    QTimer *m_pTimer;
    int removable_number=0;
    int driver_number=0;

};

#endif // USBDETECTDIALOG_H
